# Generated from stbaldricks-11.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stbaldricks

Name: rubygem-%{gem_name}
Version: 11.0.0
Release: 1%{?dist}
Summary: St. Baldrick's Foundation Ruby Client Library
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bundler-audit)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(dotenv)
# BuildRequires: rubygem(factory_bot)
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-remote)
# BuildRequires: rubygem(rr) >= 1.1.2
# BuildRequires: rubygem(rr) < 1.2
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-multi-mock)
# BuildRequires: rubygem(rubocop) >= 0.93.1
# BuildRequires: rubygem(rubocop) < 0.94
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Ruby library for accessing and integrating with the St. Baldrick's Foundation
API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 11.0.0-1
- Initial package
